    import { defaultValue } from '../../util'
    import LayerEvent from './LayerEvent'

    class LayerViewUpdateContent {
      constructor(options) {
        const opt = defaultValue(options, {})
        // 数据是否发生变化
        this.dataChanged = defaultValue(opt.dataChanged, false)
        // 操作名称
        this.name = defaultValue(opt.name, '')
        // 操作类型property method
        this.operationType = defaultValue(opt.operationType, 'method')
        // 参数
        this.params = defaultValue(opt.params, [])
      }
    }
    /**
     * 图层事件传输实体
     * @classdesc 事件传输实体基类
     * @param {Object} options 构造参数
     * @param {Array<LayerViewUpdateContent>} options.updateContents 更新内容
     */
    class LayerViewUpdateEvent extends LayerEvent {
      initPropertys(options) {
        const opt = super.initPropertys(options)
        this.updateContent = defaultValue(opt.updateContent, [])
        return opt
      }
    }

    export default LayerViewUpdateEvent